/*
 * ATtiny44 Hello Board
 * Read pushbutton switch and
 * send 0 or 1 to serial port,
 * depending on current state
 *   pb - PA7
 *   led - PB2
 *   
 * Steven Chew  
 * Date: 2021 Nov 28
 * 
 * Modified by Mitalee Parikh
 * 2021 Nov 29
 */
#include <SoftwareSerial.h>
#define rx 1
#define tx 0

#define led 8

// declare variables
SoftwareSerial mySerial(rx,tx);
char val;   // data received from serial port

void setup() {
  // put your setup code here, to run once:
  pinMode(led, OUTPUT);   // configure led pin as output
  mySerial.begin(9600);   // set serial port to 9600 bps
}

void loop() {
  if (mySerial.available()){
    // If data is available to read,
    val = mySerial.read(); // read it and store it in val
   
    if (val == '1'){ // If 1 was received
      digitalWrite(led, HIGH); // turn the LED on
    } else if (val == '0'){
      digitalWrite(led, LOW); // otherwise turn it off
    }
    delay(10); // Wait 10 milliseconds for next reading
  }
}
